h05660
s 00003/00002/00058
d D 1.2 83/01/22 19:11:11 tes 2 1
c Modified for annnotate interface
e
s 00060/00000/00000
d D 1.1 83/01/20 11:10:04 tes 1 0
c date and time created 83/01/20 11:10:04 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine dlmesg (id)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Delte a message on screen                              #
#                                                                      #
#     Input Parameters:                                                #
#            id    - (integer) message identification number           #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            qtext - output text string at given location              #
#                                                                      #
########################################################################
integer id

D 2
integer i, j, row, column
E 2
I 2
integer i, j, jptr, row, column
E 2
SHORTINT locbuf(81)

include(`mnucom')

for (i=1; i<=lastid; i=i+1) {
   if (id == mnuid(i)) break;
   }

if (i <= lastid) {
   j = midptr(i)

   row = mnubuf(j)
   column = mnubuf(j+1)
   j = j + 2
I 2
   jptr = j
E 2
   i = 1
   while (mnubuf(j) != 0) {
      locbuf(i) = BLANK
      i = i + 1
      j = j + 1
      }
   locbuf(i) = NUL
   if (mnumod == EXITxGRAPHICSxMODE) {
      call revers (0)
      call qtext (row, column, locbuf)
      }
   else {
      call erase
D 2
      call qtext (row, column, locbuf)
E 2
I 2
      call qtext (row, column, mnubuf(jptr))
E 2
      call appear
      }
   }

return
end
E 1
